# Minceraft

A Minecraft clone written in C++11.

![Alt text](https://github.com/CobaltXII/minceraft/blob/master/img/screenshot_2.png?raw=true)

# Usage

```
Usage: ./minceraft ...

    -s <path-to-level> [x_res y_res z_res]

        Play singleplayer. If a world save exists at <path-to-level>, the       
        world is loaded and the given dimensions (if any) are ignored. If not,  
        a new world is generated with the given dimensions and saved to         
        <path-to-level>.                                                        

    -q [x_res y_res z_res]

        Play quickplay. A new world is generated with the given dimensions (if  
        any) and is stored in memory for the duration of the gameplay.          
```

# Disclaimer

This project and it's author are not affiliated with or supported by Microsoft Corporation or Mojang AB. All of the files in the directory tex/ are the original work and property of Mojang AB. All other files are the original work of the author of this repository, and were not based off of the source code of Minecraft.